Config modifier endpoints allow you to review and manage config modifiers and their related links. Learn about config modifiers.
Anyone in a Redox organization can view config modifiers and related links, but you must be assigned to an engineer or support role to update them.
You can:
- retrieve a list of config modifiers by environment or organization;
- create config modifiers or links;
- update config modifiers or links; or
- delete config modifiers or link.
Get link
Retrieve one related link for an existing config modifier based on its unique identifier. Links indicate where the config modifier is applied during log processing.
cURL request example
Path Parameters
- configModifierLinkIdrequired, string
Contains the unique identifier of the config modifier link.
- metaobject
- versionstring
Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.
- payloadobject
- configModifierLinkobject
Contains a config modifier link and its related details.
- configModifierIdstring
Contains the unique identifier of a config modifier link.
- configModifierVersionnumber
Indicates the iteration, or version number, of the config modifier. Version numbers start at 1 and increment every time a config modifier is updated.
- idstring
Displays the unique identifier of the specified config modifier link.
Format: uuid - ownedBystring
Indicates whether the source or destination system owns the link. Only the owner can view the specific details or update a link.
Possible Values:source,destination - processingLocationstring
Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.
Possible Values:source-request,destination-request,source-response,destination-response - dataModelstring
Identifies the Redox data model that the link applies to.
- eventTypesArray of string
Indicates which event type(s) of the data model the config modifier is linked to. If not restricted to certain event types, you must explicitly set this field to
null; this means the config modifier is linked to all event types. - sourceobject
Specifies the source of the subscription that the config modifier is linked to.
- idstring
Contains the unique identifier of the source.
- namenullable, string
Displays the human-readable name of the source.
- destinationobject
Specifies the destination of the subscription that the config modifier is linked to.
- idstring
Contains the unique identifier of the destination.
- namenullable, string
Displays the human-readable name of the destination.
- organizationobject
Contains metadata about the Redox organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- connectingOrganizationobject
Specifies the organization the asset is connected to when the subscription relates to a partner organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- environmentobject
Contains metadata about the environment within the associated Redox organization.
- idstring
Contains the unique identifier of the Redox environment.
Format: uuid
- processingOrderobject
Contains the details for the processing order of the config modifiers linked to a given subscription.
- ordernullable, number
Specifies the order that the config modifiers should run at the given processing location.
- totalnumber
Displays the total number of config modifier links for the given subscription and processing location.
- createdAtstring
Displays the date and time that the link was originally created in ISO 8601 format.
- createdByobject
Contains the metadata about the user who created the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- updatedAtnullable, string
Displays the date and time that the link was last updated.
- updatedByobject
Contains the metadata about the user who last updated the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- deletedAtnullable, string
Displays the date and time that the link was deleted. Returns a
nullvalue if the link hasn't been deleted. - deletedBynullable, object
Contains metadata about the user who performed the delete. Returns a
nullvalue if the config modifier hasn't been deleted.- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.